version: '3'

services:

  soda:
    container_name: soda-vlkb
    image: git.ia2.inaf.it:5050/vialactea/vlkb-soda/soda:1.6.3
    ports:
      - 18019:8080
    environment:
      - ACCESS_CONTEXT_ROOT=ska#datasets
    volumes:
      - /srv/ska/surveys:/srv/surveys:z,ro
    restart: always


  soda-ssl:
    container_name: soda-ssl-vlkb
    image: git.ia2.inaf.it:5050/vialactea/vlkb-soda/soda:1.6.3
    ports:
      - 18025:8443
    environment:
      - SECURITY=ia2token
      - ACCESS_CONTEXT_ROOT=ska#datasets
    volumes:
      - /srv/ska/surveys:/srv/surveys:ro
    restart: always

